<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Ajax 4 - AJAX & PHP Forms</title>
</head>
<body>
  <button id="button">Get Name</button>
  <hr>
  <h1>GET FORM</h1>
  <form method="GET" action="process.php">
    <input type="text" name="name">
    <input type="submit" value="Submit">
  </form>

  <h1>AJAX GET FORM</h1>
  <form id="getForm">
    <input type="text" name="name" id="name1">
    <input type="submit" value="Submit">
  </form>

  <h1>POST FORM</h1>
  <form method="POST" action="process.php">
    <input type="text" name="name">
    <input type="submit" value="Submit">
  </form>

  <h1>AJAX POST FORM</h1>
  <form id="postForm">
    <input type="text" name="name" id="name2">
    <input type="submit" value="Submit">
  </form>

  <script>
    document.getElementById('button').addEventListener('click', getName);
    document.getElementById('getForm').addEventListener('submit', getName);
    document.getElementById('postForm').addEventListener('submit', postName);

    function getName(e){
      e.preventDefault();

      var name = document.getElementById('name1').value;

      var xhr = new XMLHttpRequest();
      xhr.open('GET', 'process.php?name='+name, true);

      xhr.onload = function(){
        console.log(this.responseText);
      }

      xhr.send();
    }


    function postName(e){
      e.preventDefault();

      var name = document.getElementById('name2').value;
      var params = "name="+name;

      var xhr = new XMLHttpRequest();
      xhr.open('POST', 'process.php', true);
      xhr.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');

      xhr.onload = function(){
        alert('User Added...');
      }

      xhr.send(params);
    }
  </script>
</body>
</html>